Support » Plugin: WP Google Maps » “jQuery must be installed” but it is.

  • Resolved Patabugen

    (@patabugen)


    I’m getting the “Error: In order for WP Google Maps to work, jQuery must be installed. A check was done and jQuery was not present. Please see the jQuery troubleshooting section of our site for more information.” error.

    However if I check the browser console (by writing window.jQuery or just jQuery and pressing enter) jQuery appears to be loaded.

    I’ve tried ticking the “Over-ride current jQuery with version ” option in WPGM but I’m getting the same issue (I’ve cleared caches etc).

    Looking at the source jQuery appears to load very early on, though I can’t actually find where WPGMaps is loading.

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Thread Starter Patabugen

    (@patabugen)

    There are several places which trigger this message, this one appears to be caused in wp-google-maps-pro\js\core.js near line 193

    Thread Starter Patabugen

    (@patabugen)

    This appears to be caused by an unrelated plugin – WooCommerce is throwing errors about Cookies not being defined and if I disable that then WP Google Maps starts functioning. I suspect WooCommerce is killing all JavaScript with it’s errors.

    Hi there

    Thank you for getting in touch with us.

    Unfortunately these forums only support the basic version of our plugin. Please get in touch with us on https://www.wpgmaps.com/contact-us so that I can assist you further with this and look into what could be the cause behind the WooCommerce issues that are affecting our maps?

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘“jQuery must be installed” but it is.’ is closed to new replies.